summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorChristoph (Sheogorath) Kern2018-11-17 12:42:24 +0100
committerGitHub2018-11-17 12:42:24 +0100
commit6f7fd74b1aad24de2bb62eb2f80e02b94a1168cd (patch)
tree8ff424cc20fdcb73649e1c60ed867a2192800ece /bin
parent1e2bf3698f8cb328364487081b62e48538a2f433 (diff)
parentdb59bb99dc59d56e1f807a09845750d05fef43b1 (diff)
Merge pull request #943 from SISheogorath/feature/improveSetup
Some minor improvements for setup script
Diffstat (limited to 'bin')
-rwxr-xr-xbin/setup10
1 files changed, 6 insertions, 4 deletions
diff --git a/bin/setup b/bin/setup
index 122cb7ae..38aa05a4 100755
--- a/bin/setup
+++ b/bin/setup
@@ -8,11 +8,12 @@ if [ -d .git ]; then
cd "$(git rev-parse --show-toplevel)"
fi
-if ! type npm > /dev/null
+if ! type yarn > /dev/null
then
cat << EOF
-npm is not installed, please install Node.js and npm.
+yarn is not installed, please install Node.js, npm and yarn.
Read more on Node.js official website: https://nodejs.org
+And for yarn package manager at: https://yarnpkg.com/en/
Setup will not be run
EOF
exit 0
@@ -27,8 +28,9 @@ if [ ! -f .sequelizerc ]; then
cp .sequelizerc.example .sequelizerc
fi
-echo "install npm packages"
-BUILD_ASSETS=false npm install
+echo "install packages"
+yarn install --pure-lockfile
+yarn install --production=false --pure-lockfile
cat << EOF